Name: sane-frontends
Version: 1.0.9
Release: 2
Summary: Graphical frontend to SANE
URL:       http://www.mostang.com/sane/
Source0:    ftp://ftp.mostang.com/pub/sane/sane-%{version}/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRequires: XFree86-devel gimp-devel libjpeg-devel
BuildRequires: sane-backends-devel = %{version}
Requires:  gtk+ >= 0.99.13, gimp >= 1.1.25, sane-backends = %{version}
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: sane
Provides: sane
ExcludeArch: s390 s390x

%description
This packages includes the scanadf and xcam programs.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Not xscanimage; use xsane instead.
rm -f %{buildroot}%{_bindir}/xscanimage %{buildroot}%{_mandir}/man1/xscanimage*

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/*
%config(noreplace) %{_datadir}/sane-style.rc
%{_mandir}/man1/*


%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Oct 25 2002 Tim Waugh <twaugh@redhat.com> 1.0.9-1
- 1.0.9.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-3
- Don't explicitly strip binaries (bug #62565).

* Wed Jun 12 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-2
- Rebuild to fix bug #66129.

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-1
- 1.0.8.

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-0.20020522.1
- Update to CVS.  Release expected before the end of the month.
- Don't ship xscanimage any longer.

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-2
- Rebuild in new environment.

* Mon Feb  4 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-1
- 1.0.7.

* Sun Jan 27 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-0.beta2.1
- 1.0.7-beta2.

* Wed Jan 23 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-0.beta1.1
- 1.0.7-beta1.
- No longer need the fpe patch.

* Fri Nov 30 2001 Tim Waugh <twaugh@redhat.com> 1.0.6-2
- Fix a floating point exception (bug #56536).

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 1.0.6-1
- 1.0.6.

* Sun Jul  1 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-1
- 1.0.5.
- Change Copyright: to License:.

* Thu Jun  7 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010605
- CVS snapshot 2001-06-05.
- Don't install xscanimage plug-in symlinks.  The old sane package never
  used to do this, and it looks confusing in gimp if you also have
  xsane-gimp (which is better) installed.  xscanimage works stand-alone
  anyhow.

* Sun Jun  3 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010603.1000
- CVS snapshot 2001-06-03 10:00.

* Sat Jun  2 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010530
- Built for Red Hat Linux.
- CVS snapshot 2001-05-30.

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk

- Summary now capitalised
- BuildRequires: sane (for sane-config)

